io.vertx.reactivex.core.dns

## Class DnsClient

- java.lang.Object
- - io.vertx.reactivex.core.dns.DnsClient

-     public class DnsClient
      extends Object

  Provides a way to asynchronously lookup information from DNS servers.

  Please consult the documentation for more information on DNS clients.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<DnsClient>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DnsClient(DnsClient delegate)`
    `DnsClient(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `DnsClient` | `getDelegate()`
    `int` | `hashCode()`
    `DnsClient` | `lookup(String name)` Try to lookup the A (ipv4) or AAAA (ipv6) record for the given name.
    `DnsClient` | `lookup(String name, Handler<AsyncResult<String>> handler)` Try to lookup the A (ipv4) or AAAA (ipv6) record for the given name.
    `DnsClient` | `lookup4(String name)` Try to lookup the A (ipv4) record for the given name.
    `DnsClient` | `lookup4(String name, Handler<AsyncResult<String>> handler)` Try to lookup the A (ipv4) record for the given name.
    `DnsClient` | `lookup6(String name)` Try to lookup the AAAA (ipv6) record for the given name.
    `DnsClient` | `lookup6(String name, Handler<AsyncResult<String>> handler)` Try to lookup the AAAA (ipv6) record for the given name.
    `static DnsClient` | `newInstance(DnsClient arg)`
    `DnsClient` | `resolveA(String name)` Try to resolve all A (ipv4) records for the given name.
    `DnsClient` | `resolveA(String name, Handler<AsyncResult<List<String>>> handler)` Try to resolve all A (ipv4) records for the given name.
    `DnsClient` | `resolveAAAA(String name)` Try to resolve all AAAA (ipv6) records for the given name.
    `DnsClient` | `resolveAAAA(String name, Handler<AsyncResult<List<String>>> handler)` Try to resolve all AAAA (ipv6) records for the given name.
    `DnsClient` | `resolveCNAME(String name)` Try to resolve the CNAME record for the given name.
    `DnsClient` | `resolveCNAME(String name, Handler<AsyncResult<List<String>>> handler)` Try to resolve the CNAME record for the given name.
    `DnsClient` | `resolveMX(String name)` Try to resolve the MX records for the given name.
    `DnsClient` | `resolveMX(String name, Handler<AsyncResult<List<MxRecord>>> handler)` Try to resolve the MX records for the given name.
    `DnsClient` | `resolveNS(String name)` Try to resolve the NS records for the given name.
    `DnsClient` | `resolveNS(String name, Handler<AsyncResult<List<String>>> handler)` Try to resolve the NS records for the given name.
    `DnsClient` | `resolvePTR(String name)` Try to resolve the PTR record for the given name.
    `DnsClient` | `resolvePTR(String name, Handler<AsyncResult<String>> handler)` Try to resolve the PTR record for the given name.
    `DnsClient` | `resolveSRV(String name)` Try to resolve the SRV records for the given name.
    `DnsClient` | `resolveSRV(String name, Handler<AsyncResult<List<SrvRecord>>> handler)` Try to resolve the SRV records for the given name.
    `DnsClient` | `resolveTXT(String name)` Try to resolve the TXT records for the given name.
    `DnsClient` | `resolveTXT(String name, Handler<AsyncResult<List<String>>> handler)` Try to resolve the TXT records for the given name.
    `DnsClient` | `reverseLookup(String ipaddress)` Try to do a reverse lookup of an IP address.
    `DnsClient` | `reverseLookup(String ipaddress, Handler<AsyncResult<String>> handler)` Try to do a reverse lookup of an IP address.
    `Maybe<String>` | `rxLookup(String name)` Try to lookup the A (ipv4) or AAAA (ipv6) record for the given name.
    `Maybe<String>` | `rxLookup4(String name)` Try to lookup the A (ipv4) record for the given name.
    `Maybe<String>` | `rxLookup6(String name)` Try to lookup the AAAA (ipv6) record for the given name.
    `Single<List<String>>` | `rxResolveA(String name)` Try to resolve all A (ipv4) records for the given name.
    `Single<List<String>>` | `rxResolveAAAA(String name)` Try to resolve all AAAA (ipv6) records for the given name.
    `Single<List<String>>` | `rxResolveCNAME(String name)` Try to resolve the CNAME record for the given name.
    `Single<List<MxRecord>>` | `rxResolveMX(String name)` Try to resolve the MX records for the given name.
    `Single<List<String>>` | `rxResolveNS(String name)` Try to resolve the NS records for the given name.
    `Maybe<String>` | `rxResolvePTR(String name)` Try to resolve the PTR record for the given name.
    `Single<List<SrvRecord>>` | `rxResolveSRV(String name)` Try to resolve the SRV records for the given name.
    `Single<List<String>>` | `rxResolveTXT(String name)` Try to resolve the TXT records for the given name.
    `Maybe<String>` | `rxReverseLookup(String ipaddress)` Try to do a reverse lookup of an IP address.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<DnsClient> __TYPE_ARG

  - ### Constructor Detail

    - #### DnsClient

          public DnsClient(DnsClient delegate)

    - #### DnsClient

          public DnsClient(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public DnsClient getDelegate()

    - #### lookup

          public DnsClient lookup(String name,
                                  Handler<AsyncResult<String>> handler)

      Try to lookup the A (ipv4) or AAAA (ipv6) record for the given name. The first found will be used.
      Parameters:
        `name` - the name to resolve
        `handler` - the `Handler` to notify with the `AsyncResult`. The handler will get notified with the resolved address if a record was found. If non was found it will get notifed with `null`. If an error accours it will get failed.
      Returns:
        a reference to this, so the API can be used fluently

    - #### lookup

          public DnsClient lookup(String name)

      Try to lookup the A (ipv4) or AAAA (ipv6) record for the given name. The first found will be used.
      Parameters:
        `name` - the name to resolve
      Returns:
        a reference to this, so the API can be used fluently

    - #### rxLookup

          public Maybe<String> rxLookup(String name)

      Try to lookup the A (ipv4) or AAAA (ipv6) record for the given name. The first found will be used.
      Parameters:
        `name` - the name to resolve
      Returns:
        a reference to this, so the API can be used fluently

    - #### lookup4

          public DnsClient lookup4(String name,
                                   Handler<AsyncResult<String>> handler)

      Try to lookup the A (ipv4) record for the given name. The first found will be used.
      Parameters:
        `name` - the name to resolve
        `handler` - the to notify with the `AsyncResult`. The handler will get notified with the resolved `Inet4Address` if a record was found. If non was found it will get notifed with `null`. If an error accours it will get failed.
      Returns:
        a reference to this, so the API can be used fluently

    - #### lookup4

          public DnsClient lookup4(String name)

      Try to lookup the A (ipv4) record for the given name. The first found will be used.
      Parameters:
        `name` - the name to resolve
      Returns:
        a reference to this, so the API can be used fluently

    - #### rxLookup4

          public Maybe<String> rxLookup4(String name)

      Try to lookup the A (ipv4) record for the given name. The first found will be used.
      Parameters:
        `name` - the name to resolve
      Returns:
        a reference to this, so the API can be used fluently

    - #### lookup6

          public DnsClient lookup6(String name,
                                   Handler<AsyncResult<String>> handler)

      Try to lookup the AAAA (ipv6) record for the given name. The first found will be used.
      Parameters:
        `name` - the name to resolve
        `handler` - the to notify with the . The handler will get notified with the resolved `Inet6Address` if a record was found. If non was found it will get notifed with `null`. If an error accours it will get failed.
      Returns:
        a reference to this, so the API can be used fluently

    - #### lookup6

          public DnsClient lookup6(String name)

      Try to lookup the AAAA (ipv6) record for the given name. The first found will be used.
      Parameters:
        `name` - the name to resolve
      Returns:
        a reference to this, so the API can be used fluently

    - #### rxLookup6

          public Maybe<String> rxLookup6(String name)

      Try to lookup the AAAA (ipv6) record for the given name. The first found will be used.
      Parameters:
        `name` - the name to resolve
      Returns:
        a reference to this, so the API can be used fluently

    - #### resolveA

          public DnsClient resolveA(String name,
                                    Handler<AsyncResult<List<String>>> handler)

      Try to resolve all A (ipv4) records for the given name.
      Parameters:
        `name` - the name to resolve
        `handler` - the `Handler` to notify with the `AsyncResult`. The handler will get notified with a `List` that contains all the resolved `Inet4Address`es. If none was found an empty `List` will be used. If an error accours it will get failed.
      Returns:
        a reference to this, so the API can be used fluently

    - #### resolveA

          public DnsClient resolveA(String name)

      Try to resolve all A (ipv4) records for the given name.
      Parameters:
        `name` - the name to resolve
      Returns:
        a reference to this, so the API can be used fluently

    - #### rxResolveA

          public Single<List<String>> rxResolveA(String name)

      Try to resolve all A (ipv4) records for the given name.
      Parameters:
        `name` - the name to resolve
      Returns:
        a reference to this, so the API can be used fluently

    - #### resolveAAAA

          public DnsClient resolveAAAA(String name,
                                       Handler<AsyncResult<List<String>>> handler)

      Try to resolve all AAAA (ipv6) records for the given name.
      Parameters:
        `name` - the name to resolve
        `handler` - the `Handler` to notify with the `AsyncResult`. The handler will get notified with a `List` that contains all the resolved `Inet6Address`es. If none was found an empty `List` will be used. If an error accours it will get failed.
      Returns:
        a reference to this, so the API can be used fluently

    - #### resolveAAAA

          public DnsClient resolveAAAA(String name)

      Try to resolve all AAAA (ipv6) records for the given name.
      Parameters:
        `name` - the name to resolve
      Returns:
        a reference to this, so the API can be used fluently

    - #### rxResolveAAAA

          public Single<List<String>> rxResolveAAAA(String name)

      Try to resolve all AAAA (ipv6) records for the given name.
      Parameters:
        `name` - the name to resolve
      Returns:
        a reference to this, so the API can be used fluently

    - #### resolveCNAME

          public DnsClient resolveCNAME(String name,
                                        Handler<AsyncResult<List<String>>> handler)

      Try to resolve the CNAME record for the given name.
      Parameters:
        `name` - the name to resolve the CNAME for
        `handler` - the to notify with the . The handler will get notified with the resolved `String` if a record was found. If none was found it will get notified with `null`. If an error accours it will get failed.
      Returns:
        a reference to this, so the API can be used fluently.

    - #### resolveCNAME

          public DnsClient resolveCNAME(String name)

      Try to resolve the CNAME record for the given name.
      Parameters:
        `name` - the name to resolve the CNAME for
      Returns:
        a reference to this, so the API can be used fluently.

    - #### rxResolveCNAME

          public Single<List<String>> rxResolveCNAME(String name)

      Try to resolve the CNAME record for the given name.
      Parameters:
        `name` - the name to resolve the CNAME for
      Returns:
        a reference to this, so the API can be used fluently.

    - #### resolveMX

          public DnsClient resolveMX(String name,
                                     Handler<AsyncResult<List<MxRecord>>> handler)

      Try to resolve the MX records for the given name.
      Parameters:
        `name` - the name for which the MX records should be resolved
        `handler` - the `Handler` to notify with the `AsyncResult`. The handler will get notified with a List that contains all resolved `MxRecord`s, sorted by their `MxRecord.priority()`. If non was found it will get notified with an empty `List`. If an error accours it will get failed.
      Returns:
        a reference to this, so the API can be used fluently.

    - #### resolveMX

          public DnsClient resolveMX(String name)

      Try to resolve the MX records for the given name.
      Parameters:
        `name` - the name for which the MX records should be resolved
      Returns:
        a reference to this, so the API can be used fluently.

    - #### rxResolveMX

          public Single<List<MxRecord>> rxResolveMX(String name)

      Try to resolve the MX records for the given name.
      Parameters:
        `name` - the name for which the MX records should be resolved
      Returns:
        a reference to this, so the API can be used fluently.

    - #### resolveTXT

          public DnsClient resolveTXT(String name,
                                      Handler<AsyncResult<List<String>>> handler)

      Try to resolve the TXT records for the given name.
      Parameters:
        `name` - the name for which the TXT records should be resolved
        `handler` - the to notify with the . The handler will get notified with a List that contains all resolved `String`s. If none was found it will get notified with an empty `List`. If an error accours it will get failed.
      Returns:
        a reference to this, so the API can be used fluently.

    - #### resolveTXT

          public DnsClient resolveTXT(String name)

      Try to resolve the TXT records for the given name.
      Parameters:
        `name` - the name for which the TXT records should be resolved
      Returns:
        a reference to this, so the API can be used fluently.

    - #### rxResolveTXT

          public Single<List<String>> rxResolveTXT(String name)

      Try to resolve the TXT records for the given name.
      Parameters:
        `name` - the name for which the TXT records should be resolved
      Returns:
        a reference to this, so the API can be used fluently.

    - #### resolvePTR

          public DnsClient resolvePTR(String name,
                                      Handler<AsyncResult<String>> handler)

      Try to resolve the PTR record for the given name.
      Parameters:
        `name` - the name to resolve the PTR for
        `handler` - the to notify with the . The handler will get notified with the resolved `String` if a record was found. If none was found it will get notified with `null`. If an error accours it will get failed.
      Returns:
        a reference to this, so the API can be used fluently.

    - #### resolvePTR

          public DnsClient resolvePTR(String name)

      Try to resolve the PTR record for the given name.
      Parameters:
        `name` - the name to resolve the PTR for
      Returns:
        a reference to this, so the API can be used fluently.

    - #### rxResolvePTR

          public Maybe<String> rxResolvePTR(String name)

      Try to resolve the PTR record for the given name.
      Parameters:
        `name` - the name to resolve the PTR for
      Returns:
        a reference to this, so the API can be used fluently.

    - #### resolveNS

          public DnsClient resolveNS(String name,
                                     Handler<AsyncResult<List<String>>> handler)

      Try to resolve the NS records for the given name.
      Parameters:
        `name` - the name for which the NS records should be resolved
        `handler` - the to notify with the . The handler will get notified with a List that contains all resolved `String`s. If none was found it will get notified with an empty `List`. If an error accours it will get failed.
      Returns:
        a reference to this, so the API can be used fluently.

    - #### resolveNS

          public DnsClient resolveNS(String name)

      Try to resolve the NS records for the given name.
      Parameters:
        `name` - the name for which the NS records should be resolved
      Returns:
        a reference to this, so the API can be used fluently.

    - #### rxResolveNS

          public Single<List<String>> rxResolveNS(String name)

      Try to resolve the NS records for the given name.
      Parameters:
        `name` - the name for which the NS records should be resolved
      Returns:
        a reference to this, so the API can be used fluently.

    - #### resolveSRV

          public DnsClient resolveSRV(String name,
                                      Handler<AsyncResult<List<SrvRecord>>> handler)

      Try to resolve the SRV records for the given name.
      Parameters:
        `name` - the name for which the SRV records should be resolved
        `handler` - the to notify with the . The handler will get notified with a List that contains all resolved `SrvRecord`s. If none was found it will get notified with an empty `List`. If an error accours it will get failed.
      Returns:
        a reference to this, so the API can be used fluently.

    - #### resolveSRV

          public DnsClient resolveSRV(String name)

      Try to resolve the SRV records for the given name.
      Parameters:
        `name` - the name for which the SRV records should be resolved
      Returns:
        a reference to this, so the API can be used fluently.

    - #### rxResolveSRV

          public Single<List<SrvRecord>> rxResolveSRV(String name)

      Try to resolve the SRV records for the given name.
      Parameters:
        `name` - the name for which the SRV records should be resolved
      Returns:
        a reference to this, so the API can be used fluently.

    - #### reverseLookup

          public DnsClient reverseLookup(String ipaddress,
                                         Handler<AsyncResult<String>> handler)

      Try to do a reverse lookup of an IP address. This is basically the same as doing trying to resolve a PTR record but allows you to just pass in the IP address and not a valid ptr query string.
      Parameters:
        `ipaddress` - the IP address to resolve the PTR for
        `handler` - the to notify with the . The handler will get notified with the resolved `String` if a record was found. If none was found it will get notified with `null`. If an error accours it will get failed.
      Returns:
        a reference to this, so the API can be used fluently.

    - #### reverseLookup

          public DnsClient reverseLookup(String ipaddress)

      Try to do a reverse lookup of an IP address. This is basically the same as doing trying to resolve a PTR record but allows you to just pass in the IP address and not a valid ptr query string.
      Parameters:
        `ipaddress` - the IP address to resolve the PTR for
      Returns:
        a reference to this, so the API can be used fluently.

    - #### rxReverseLookup

          public Maybe<String> rxReverseLookup(String ipaddress)

      Try to do a reverse lookup of an IP address. This is basically the same as doing trying to resolve a PTR record but allows you to just pass in the IP address and not a valid ptr query string.
      Parameters:
        `ipaddress` - the IP address to resolve the PTR for
      Returns:
        a reference to this, so the API can be used fluently.

    - #### newInstance

          public static DnsClient newInstance(DnsClient arg)

Copyright © 2020 Eclipse. All rights reserved.